Debian Bug report logs - #685873
ITP: libjuniversalchardet-java -- Java port of Mozillas encoding detector library

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Thomas Koch <thomas@koch.ro>

Date: Sat, 25 Aug 2012 17:45:01 UTC

Owned by: Thomas Koch <thomas@koch.ro>

Severity: wishlist

Fixed in version libjuniversalchardet-java/1.0.3-1

Done: Thomas Koch <thomas@koch.ro>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, thomas@koch.ro, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#685873; Package wnpp. (Sat, 25 Aug 2012 17:45:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Thomas Koch <thomas@koch.ro>:
New Bug report received and forwarded. Copy sent to thomas@koch.ro, debian-devel@lists.debian.org, wnpp@debian.org. (Sat, 25 Aug 2012 17:45:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Thomas Koch <thomas@koch.ro>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: libjuniversalchardet-java -- Java port of Mozillas encoding detector library
Date: Sat, 25 Aug 2012 19:40:46 +0200
Package: wnpp
Severity: wishlist
Owner: Thomas Koch <thomas@koch.ro>

-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

* Package name    : libjuniversalchardet-java
  Version         : 1.0.3
  Upstream Author : Kohei TAKETA <takscape@gmail.com>
* URL             : http://code.google.com/p/juniversalchardet
* License         : MPL 1.1 or GPL 2+ LGPL 2.1+
  Programming Lang: Java
  Description     : Java port of Mozillas encoding detector library

(Dependency of Gerrit Code Review System)

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJQOQ4aAAoJEAf8SJEEK6ZaYSEQAN81O86Pj/MRkrW8Y3rZbH+b
LnczZF8n3pS6fasvE/5berdwa9mfmpVZ5HFUy0O8P/y635cfhdEiSFv+S9auvTcc
IVYfl/TzerXkTnoh4H6VuX9WKAoanNhghsoXJGb42VQIldwm1YpAwbm6FMWumdXn
SNyNLUhqKhFslH9PqzF4D/i8U4CK6Vy+yRZSoWcZi2cCE7HNqx5KdJh24CRn71i2
zI0sxLKMmR/dwDrbhcV0fr2yg/u7iMTeagm7oMp5zN9D2if68BMdWdD6LobUoVVT
zK0ESig0OA2uBckhdVs/M3ptLvq208e07xamvQsaD9tlJJW+p2/5qj5ZZv+sDdVm
dsYdIVFA92oDBGHImP8/CGH/9j8gsaot8w2KK5Xjbk2NtgkRoLEMWZa54dd/WJNb
AGRhCkoYZShmJTDq+Ao0Ox+RsuzypAA87tNkpgBInoZ/WRqWpfBePt/wXcz5rnW4
Q8soFh47+Q1xuZRaQk4Ijz6ZoyZHja7glhHNXpQ1etkFkqmR9cRBBqwomThXiSKC
uk8iOhkQsCBXpe3gNcCAAl7G+wUvhgx9YdRP/JXdRgRSIMUOa4m8BtW3zeXLBhv2
Zr9bY/QkvjpkHjQdi81auhPWBurQek1JRqi54/mlQ1ruP+jidkepBVyMAnCePU+Z
TjRMXVmp8z7yy8BgACNl
=rVaa
-----END PGP SIGNATURE-----



Added indication that bug 685873 blocks 589436 Request was from Thomas Koch <thomas@koch.ro> to control@bugs.debian.org. (Sat, 25 Aug 2012 20:33:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Thomas Koch <thomas@koch.ro>:
Bug#685873; Package wnpp. (Tue, 16 Oct 2012 14:27:18 GMT) Full text and rfc822 format available.

Acknowledgement sent to thomas@koch.ro:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Thomas Koch <thomas@koch.ro>. (Tue, 16 Oct 2012 14:27:18 GMT) Full text and rfc822 format available.

Message #12 received at 685873@bugs.debian.org (full text, mbox):

From: Thomas Koch <thomas@koch.ro>
To: 678649@bugs.debian.org, 681924@bugs.debian.org, 685871@bugs.debian.org, 683642@bugs.debian.org, 683639@bugs.debian.org, 685873@bugs.debian.org, 681920@bugs.debian.org, 685879@bugs.debian.org, 681918@bugs.debian.org, 589436@bugs.debian.org
Cc: Holger Levsen <holger@layer-acht.org>, debian-java@lists.debian.org
Subject: Status of gerrit packaging
Date: Tue, 16 Oct 2012 16:24:38 +0200
Hi,

I've been waiting for a new version (with a fix) of apache-mina-sshd to be 
released to continue working on the Gerrit packaging. Currently all essential
dependencies are preliminary packaged and available in Git repos:

http://anonscm.debian.org/gitweb/?p=pkg-java/libprolog-cafe-java.git
http://anonscm.debian.org/gitweb/?p=pkg-java/libmime-util-java.git
http://anonscm.debian.org/gitweb/?p=pkg-java/libmina-sshd-java.git
http://anonscm.debian.org/gitweb/?p=pkg-java/libjpam-java.git
http://anonscm.debian.org/gitweb/?p=pkg-java/libjuniversalchardet-java.git
http://anonscm.debian.org/gitweb/?p=pkg-java/libgwtorm-java.git
http://anonscm.debian.org/gitweb/?p=pkg-java/libgwtjsonrpc-java.git
http://anonscm.debian.org/gitweb/?p=pkg-java/libgwtexpui-java.git

I don't ask for sponsorship yet since we're in freeze and the packages still 
need a final review: copyright, pbuilder test, lintian. If however somebody
wants to review and upload them to experimental I'd be more than happy!

These bugs with patches available block gerrit, we just need to wait:

dpkg: 683547 dpkg-source fails on a patch series deleting a file after patching
guice: 685871 servlet extension for guice
gwt: 681923 please install to debian maven repo

The following dependencies are not critical and I'll try to patch them out:

685875: RFP: parboiled -- parser library based on Parsing expression grammars
685874: RFP: libpegdown-java -- lightweight Java Markdown processor library
683642: ITP: gwt-maven-plugin -- maven plugin to compile Google Web Toolkit applications
607891: RFP: h2database -- relational database management system written in Java

I'll try to get gerrit working before continuing to work on the dependencies.

Best regards,

Thomas Koch, http://www.koch.ro



Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Thu, 20 Jun 2013 20:06:15 GMT) Full text and rfc822 format available.

Reply sent to Thomas Koch <thomas@koch.ro>:
You have taken responsibility. (Thu, 08 Aug 2013 23:03:28 GMT) Full text and rfc822 format available.

Notification sent to Thomas Koch <thomas@koch.ro>:
Bug acknowledged by developer. (Thu, 08 Aug 2013 23:03:28 GMT) Full text and rfc822 format available.

Message #19 received at 685873-close@bugs.debian.org (full text, mbox):

From: Thomas Koch <thomas@koch.ro>
To: 685873-close@bugs.debian.org
Subject: Bug#685873: fixed in libjuniversalchardet-java 1.0.3-1
Date: Thu, 08 Aug 2013 23:00:13 +0000
Source: libjuniversalchardet-java
Source-Version: 1.0.3-1

We believe that the bug you reported is fixed in the latest version of
libjuniversalchardet-java, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 685873@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Thomas Koch <thomas@koch.ro> (supplier of updated libjuniversalchardet-java package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 18 Jun 2013 14:22:51 +0200
Source: libjuniversalchardet-java
Binary: libjuniversalchardet-java libjuniversalchardet-java-doc
Architecture: source all
Version: 1.0.3-1
Distribution: unstable
Urgency: low
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Changed-By: Thomas Koch <thomas@koch.ro>
Description: 
 libjuniversalchardet-java - Encoding detector library (Java port of the Mozilla library)
 libjuniversalchardet-java-doc - Documentation for juniversalchardet
Closes: 685873
Changes: 
 libjuniversalchardet-java (1.0.3-1) unstable; urgency=low
 .
   * Initial release. (Closes: #685873)
Checksums-Sha1: 
 e767b055a1ed7b73fc0ea30b58301c30d947625a 1694 libjuniversalchardet-java_1.0.3-1.dsc
 d42f7dd210d0e42295c1e98d3668aada8d6dcd2f 168908 libjuniversalchardet-java_1.0.3.orig.tar.gz
 baf9e853144d470d55e92a2f574fc2786998bc72 12543 libjuniversalchardet-java_1.0.3-1.debian.tar.gz
 e242cebd8a70cc3649457215590be8219ec47c15 201986 libjuniversalchardet-java_1.0.3-1_all.deb
 06c0075417c743c884e603541c778ed40a22997e 378260 libjuniversalchardet-java-doc_1.0.3-1_all.deb
Checksums-Sha256: 
 de1f03f40c0d2c9f281eb1f084f7619420ea12b198128cd5a8b7d07b55ada953 1694 libjuniversalchardet-java_1.0.3-1.dsc
 2973a140ed85d80283f06f174166bd1e808f8d6879bf27ec58783740e695a242 168908 libjuniversalchardet-java_1.0.3.orig.tar.gz
 5447b6ef754be7fef11823569d9ed9538b84cc4825e73e379cb905e5d74dab5a 12543 libjuniversalchardet-java_1.0.3-1.debian.tar.gz
 d336c4cdf655732571d21d0e204db362343c82180923f482643ca9109af12223 201986 libjuniversalchardet-java_1.0.3-1_all.deb
 9bbac1f6b14f210fca18f41ba47ec3aedc2d00cda6384d0e83c069bc30dacf74 378260 libjuniversalchardet-java-doc_1.0.3-1_all.deb
Files: 
 dfe35b9531a3f6bd98fb4d50d658a0e5 1694 java optional libjuniversalchardet-java_1.0.3-1.dsc
 70837717a6ea12afd4509fd7780f0d6b 168908 java optional libjuniversalchardet-java_1.0.3.orig.tar.gz
 6c24e946c301316dcc912a0fafbba0b5 12543 java optional libjuniversalchardet-java_1.0.3-1.debian.tar.gz
 23635fd312b1fe0bed98fec1b8ad9f2e 201986 java optional libjuniversalchardet-java_1.0.3-1_all.deb
 cad8d5760795f5243010d7a759a1f1bf 378260 doc optional libjuniversalchardet-java-doc_1.0.3-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iEYEARECAAYFAlHC+ysACgkQiOXXM92JlhAxHACg2ZdUbw3hm5KQPJIQ5hQKzMVv
nwQAnRP85E/wAbqA/whayOAISRGCeLPb
=DEa6
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 06 Sep 2013 07:34:06 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 18:37:40 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.